//
// C++ Implementation: KmdrMainWindow
//
// Description: 
//
//
// Author: Andras Mantia <amantia@tdewebdev.org>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "kmdrmainwindow.h"

#include <tqtimer.h>

KmdrMainWindow::KmdrMainWindow(TQWidget *parent, const char *name, WFlags f)
 : KMainWindow(parent, name, f)
{
  TQTimer::singleShot(10, this, TQT_SIGNAL(initialize()));
}


KmdrMainWindow::~KmdrMainWindow()
{
}

bool KmdrMainWindow::queryClose()
{
  bool quit = KMainWindow::queryClose();
  if (quit)
    emit destroy();
  return quit;
}


#include "kmdrmainwindow.moc"
